Brought forward from 0.9.8 - 64 bit warning fixes and fussy compiler fixes.
[openssl.git] / crypto / pqueue / pq_compat.h
index bd86efc..904b0d0 100644 (file)
 
 #if defined(SIXTY_FOUR_BIT) || defined(SIXTY_FOUR_BIT_LONG)
 #define PQ_64BIT BN_ULONG
+#define PQ_64BIT_PRINT "%ld"
 #elif defined(THIRTY_TWO_BIT)
 #define PQ_64BIT BN_ULLONG
+#define PQ_64BIT_PRINT "%lld"
 #endif
 
 #define PQ_64BIT_CTX      void